Chromaticity (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print.attribute.standard, class: Chromaticity
Keywords: javax.print.attribute.standard.Chromaticity class

# Class Chromaticity

java.lang.Object
javax.print.attribute.EnumSyntax
javax.print.attribute.standard.Chromaticity

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, DocAttribute, PrintJobAttribute, PrintRequestAttribute`

public final class Chromaticity extends EnumSyntax implements DocAttribute, PrintRequestAttribute, PrintJobAttribute
Class `Chromaticity` is a printing attribute class, an enumeration, that specifies monochrome or color printing. This is used by a print client to specify how the print data should be generated or processed. It is not descriptive of the color capabilities of the device. Query the service's `ColorSupported` attribute to determine if the device can be verified to support color printing.

The table below shows the effects of specifying a Chromaticity attribute of `MONOCHROME` or `COLOR` for a monochrome or color document.

Shows effects of specifying `MONOCHROME` or `COLOR` Chromaticity attributes
Chromaticity Attribute | Effect on Monochrome Document | Effect on Color Document
--- | --- | ---
`MONOCHROME` | Printed as is, in monochrome | Printed in monochrome, with colors converted to shades of gray
`COLOR` | Printed as is, in monochrome | Printed as is, in color

IPP Compatibility: Chromaticity is not an IPP attribute at present.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Chromaticity`
  `COLOR`
  Color printing.
  `static final Chromaticity`
  `MONOCHROME`
  Monochrome printing.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Chromaticity(int value)`
  Construct a new chromaticity enumeration value with the given integer value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Class<? extends Attribute>`
  `getCategory()`
  Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `protected EnumSyntax[]`
  `getEnumValueTable()`
  Returns the enumeration value table for class `Chromaticity`.
  `final String`
  `getName()`
  Get the name of the category of which this attribute value is an instance.
  `protected String[]`
  `getStringTable()`
  Returns the string table for class `Chromaticity`.

  ### Methods declared in class EnumSyntax

  `clone, getOffset, getValue, hashCode, readResolve, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Returns a clone of this enumeration value, which to preserve the semantics of enumeration values is the same object as this enumeration value.
  `protected int`
  `getOffset()`
  Returns the lowest integer value used by this enumeration value's enumeration class.
  `int`
  `getValue()`
  Returns this enumeration value's integer value.
  `int`
  `hashCode()`
  Returns a hash code value for this enumeration value.
  `protected Object`
  `readResolve()`
  During object input, convert this deserialized enumeration instance to the proper enumeration value defined in the enumeration attribute class.
  `String`
  `toString()`
  Returns a string value corresponding to this enumeration value.

  ### Methods declared in class Object

  `equals, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### MONOCHROME

    public static final Chromaticity MONOCHROME
    Monochrome printing.

  - ### COLOR

    public static final Chromaticity COLOR
    Color printing.

- ## Constructor Details

  - ### Chromaticity

    protected Chromaticity(int value)
    Construct a new chromaticity enumeration value with the given integer value.
    Parameters:
      `value` - Integer value

- ## Method Details

  - ### getStringTable

    protected String[] getStringTable()
    Returns the string table for class `Chromaticity`.
    Overrides:
      `getStringTable` in class `EnumSyntax`
    Returns:
      the string table

  - ### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()
    Returns the enumeration value table for class `Chromaticity`.
    Overrides:
      `getEnumValueTable` in class `EnumSyntax`
    Returns:
      the value table

  - ### getCategory

    public final Class<? extends Attribute> getCategory()
    Get the printing attribute class which is to be used as the "category" for this printing attribute value.

    For class `Chromaticity`, the category is the class `Chromaticity` itself.

    Specified by:
      `getCategory` in interface `Attribute`
    Returns:
      printing attribute class (category), an instance of class `java.lang.Class`

  - ### getName

    public final String getName()
    Get the name of the category of which this attribute value is an instance.

    For class `Chromaticity`, the category name is `"chromaticity"`.

    Specified by:
      `getName` in interface `Attribute`
    Returns:
      attribute category name